#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define 	module	ldap
Summary:	LDAP Module for Python
Summary(pl.UTF-8):	Moduł LDAP dla Pythona
Name:		python-%{module}
Version:	2.4.10
Release:	1
Epoch:		1
License:	Public Domain
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/p/python-ldap/%{name}-%{version}.tar.gz
# Source0-md5:	a15827ca13c90e9101e5e9405c1d83be
Patch0:		%{name}-sasl2.patch
Patch1:		build.patch
URL:		http://python-ldap.sourceforge.net/
BuildRequires:	cyrus-sasl >= 2.1.0
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	python-modules
Provides:	ldapmodule
Obsoletes:	ldapmodule
Obsoletes:	python-ldapmodule
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides access to the LDAP (C language) library.

%description -l pl.UTF-8
Moduł ten umożliwia dostęp do bibliotek LDAP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build

%if %{with tests}
%{__python} setup.py test

LDAPNOINIT=1 \
PYTHONPATH=$(echo build/lib.linux-*/) \
%{__python} -c "import ldap; print ldap.__version__; ldapo = ldap.initialize('ldap://localhost')"
%endif

%install
rm -rf $RPM_BUILD_ROOT
#PYTHONPATH=$RPM_BUILD_ROOT%{py_sitedir}
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py[co]
%{py_sitedir}/ldap
%{py_sitedir}/*.egg-info
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ldap.git;a=log;h=master

* Wed Jan 30 2013 Elan Ruusamäe <glen@delfi.ee> 7283f34
- md5 fix

* Wed Jan 30 2013 Elan Ruusamäe <glen@delfi.ee> bc02c39
- blah, that odd error was from wrong url syntax!

* Wed Jan 30 2013 Elan Ruusamäe <glen@delfi.ee> 04ae41e
- add test (from reviewboard) that fails with file not found error

* Wed Jan 30 2013 Elan Ruusamäe <glen@delfi.ee> fec0f30
- cleanup bogus paths from build

* Wed Jan 30 2013 Elan Ruusamäe <glen@delfi.ee> e664161
- up to 2.4.10, enable tests

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> 1bb8b44
- Up to 2.4.9

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 78e3418
- up to 2.4.7

* Fri Dec 02 2011 zbyniu <zbyniu@pld-linux.org> 0c88915
- up to 2.4.6

* Mon Sep 05 2011 marti <marti@pld-linux.org> 4b6ce10
- up to 2.4.3

* Sat Jun 04 2011 areq <areq@pld-linux.org> 3256e2a
- 2.4.0

* Fri Feb 25 2011 Caleb Maclennan <caleb@alerque.com> f7d837d
- Up to 2.3.13

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> e1ff396
- release 2

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 04d97e6
- Up to 2.3.12

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f5c6d48
- release 3

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d6be240
- release 2

* Sun Feb 28 2010 Artur Frysiak <artur@frysiak.net> 99e6911
- 2.3.11

* Wed Feb 24 2010 pawelz <pawelz@pld-linux.org> a468ef5
- up to 2.3.10

* Thu Nov 26 2009 sparky <sparky@pld-linux.org> fac291d
- BR: python-modules, rpm-pythonprov
- sorted headers

* Fri May 01 2009 areq <areq@pld-linux.org> 88fed1a
- 2.3.8

* Sun Apr 12 2009 areq <areq@pld-linux.org> 31b8d43
- 2.3.7

